#450 Update ctl-dispatch to support Workbench-less/S3 operations

3.6.1
closed
Client (58)
5
2011-06-17
2011-06-13
No

Make all the changes necessary to ctl-dispatch to support running commands without Workbench against an AWS S3-based resource model artifact repository

Discussion

  • Anthony Shortland

    • summary: Updated ctl-dispatch to support Workbench-less/S3 operations --> Update ctl-dispatch to support Workbench-less/S3 operations
     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2177 | ashortland | 2011-06-13 12:23:58 -0700 (Mon, 13 Jun 2011) | 4 lines

    Fixed resources and nodes files update tests to include the use case where a client (non-server node) is configured to run without Workbench integration enabled.

    Tracker#: https://sourceforge.net/tracker/index.php?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2178 | ashortland | 2011-06-13 12:59:59 -0700 (Mon, 13 Jun 2011) | 4 lines

    Extended ctl-archive to include the "extractall" action necessary to support Workbench-less/S3 operations.

    Tracker#: https://sourceforge.net/tracker/index.php?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2179 | ashortland | 2011-06-13 13:01:42 -0700 (Mon, 13 Jun 2011) | 4 lines

    Added automatic generation of a default node resource based on nodes.properties to enable static module command execution for Workbench-less/S3 operations.

    Tracker#: https://sourceforge.net/tracker/index.php?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    • status: open --> closed
     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2180 | ashortland | 2011-06-13 13:03:15 -0700 (Mon, 13 Jun 2011) | 4 lines

    Added new properties and exposed others to enable configuration of the CTL_BASE for Workbench-less/S3 operations.

    Tracker#: https://sourceforge.net/tracker/index.php?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2181 | ashortland | 2011-06-13 13:15:19 -0700 (Mon, 13 Jun 2011) | 4 lines

    Added resources.xml to the ctl-archive create action to support Workbench-less/S3 operations.

    Tracker#: https://sourceforge.net/tracker/?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    • status: closed --> open
     
  • Anthony Shortland

    • status: open --> closed
     
  • Anthony Shortland

    • status: closed --> open
     
  • Anthony Shortland

    ------------------------------------------------------------------------
    r2183 | ashortland | 2011-06-16 16:43:01 -0700 (Thu, 16 Jun 2011) | 4 lines

    Set framework.workbench.integration.enabled true by default in order to preserve backward compatibility with the installer.

    Tracker#: https://sourceforge.net/tracker/?func=detail&aid=3315875&group_id=151079&atid=779850

    ------------------------------------------------------------------------

     
  • Anthony Shortland

    • status: open --> closed
     
  • Moses Lei

    Moses Lei - 2011-06-17
    • milestone: 534315 --> 3.6.1
     

Log in to post a comment.